import request from '@/utils/request'


// 统计金额
export function computedOrderkey(data) {
	return request({
		url: '/api/order/computed/'+data.orderkey,
		method: 'post',
		data
	});
}

// 创建订单
export function createOrderkey(data,key) {
	return request({
		url: '/api/lave/create',
		method: 'post',
		data
	});
}
// 账户余额
export function balance(data) {
	return request({
		url: '/api/user/balance',
		method: 'get',
		data
	});
}

// 订单支付
export function orderPay(data) {
	return request({
		url: '/api/order/pay',
		method: 'post',
		data
	});
}

//捐赠活动列表
export function getProjectList(data) {
	return request({
		url: '/api/project/list',
		method: 'get',
		data
	})
}

//捐赠活动详情
export function getProjectInfo(data) {
	return request({
		url: '/api/project/info',
		method: 'get',
		data
	})
}

//创建捐赠
export function createProject(data) {
	return request({
		url: '/api/project/order_create',
		method: 'post',
		data
	})
}

// 获取物流方式
export function getLogistics(data) {
	return request({
		url: '/api/project/logistics',
		method: 'get',
		data
	})
}

// 获取地址
export function getAllArea(data) {
	return request({
		url: '/api/project/area',
		method: 'get',
		data
	})
}

// 获取所有物资
export function getDonationInfo(data) {
	return request({
		url: '/api/project/Donation_info',
		method: 'get',
		data
	})
}

// 获取所有地址
// export function getDonationInfo(data) {
// 	return request({
// 		url: '/api/project/Donation_info',
// 		method: 'get',
// 		data
// 	})
// }

// 获取我的捐赠
export function getMyorder(data) {
	return request({
		url: '/api/project/myorder',
		method: 'post',
		data
	})
}

//创建捐赠用户
export function createUser(data) {
	return request({
		url: '/api/project/create_user',
		method: 'post',
		data
	})
}
//Project/all_order
export function getAllOrder(data) {
	return request({
		url: '/api/project/all_order',
		method: 'post',
		data
	})
}

//PProject/user_list
export function getUserList(data) {
	return request({
		url: '/api/project/user_list',
		method: 'get',
		data
	})
}

// export function getOrderInfo(data) {
// 	return request({
// 		url: '/api/project/order_info',
// 		method: 'get',
// 		data
// 	})
// }bill
export function getBill(data) {
	return request({
		url: '/api/project/bill',
		method: 'post',
		data
	})
}

//Project/order_info
export function getOrderInfo(data) {
	return request({
		url: '/api/project/order_info',
		method: 'get',
		data
	})
}

// user_list
// export function getUserList(data) {
// 	return request({
// 		url: '/api/project/user_list',
// 		method: 'get',
// 		data
// 	})
// }